Bug 844006 - no "network" with macvtap device
no "network" with macvtap device
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 16:26 EDT by Darod Zyree
Modified: 2015-01-29 17:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 20:16:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darod Zyree 2012-07-27 16:26:31 EDT
Description of problem:
No network in guest machine when having chosen a macvtap source device in virt-manager.

Version-Release number of selected component (if applicable):
virsh # version
Compiled against library: libvir 0.9.10
Using library: libvir 0.9.10
Using API: QEMU 0.9.10
Running hypervisor: QEMU 0.12.1


Steps to Reproduce:
1. Add macvtap source device to guest machine:
- source device: eth0 macvtap
- device model: virtio
- source mode: VEPA
2. start up guest machine
3. use networking software, ping, ssh, yum, etc.
  
Actual results:
Apart from the guest machine receiving an IP from dhcp server, ping, ssh, yum, do not work.
Guest machine cannot reach other machines on the network and other machines cannot reach guest machine.
Stopping iptables and setenforce 0 did not have a positive effect.

Expected results:
Normal network operations.

Additional info:
Setting the host networking device to promiscuous mode (ifconfig eth0 promisc) seems to solve this issue, but this setting is lost upon reboot.
If promiscuous mode is required for macvtap to work should promiscuous mode not be automatically set when a macvtap device is "activated"?
Comment 2 Cole Robinson 2012-10-02 11:18:04 EDT
What distro are you using? Also, please provide sudo virsh dumpxml $vmname
Comment 3 Yang Yu 2015-01-29 17:27:39 EST
This bug is probably Bug 1064516
I can reproduce is on CentOS with 3.10.0-123.13.2.el7.x86_64 kernel

$ ethtool -i eno1
driver: e1000e
version: 2.3.2-k
firmware-version: 0.13-4
bus-info: 0000:00:19.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

Manually setting the physical interface (e1000e driver) on the host to promiscuous mode fixes the problem. 
Is promiscuous mode still necessary to make macvtap to work in guest?

Note You need to log in before you can comment on or make changes to this bug.